## StTable

StTable — A multi-child layout container based on rows and columns

## Functions

StWidget * | st_table_new ()
gint | st_table_get_row_count ()
gint | st_table_get_column_count ()

## Properties

int | column-count | Read
gboolean | homogeneous | Read / Write
int | row-count | Read

## Types and Values

enum | StTableChildOptions
struct | StTable

## Object Hierarchy

        GFlags
        ╰── StTableChildOptions
        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── StWidget
                    ╰── StTable

## Implemented Interfaces

StTable implements ClutterContainer, ClutterScriptable, ClutterAnimatable and AtkImplementorIface.

## Description

StTable is a mult-child layout container based on a table arrangement with rows and columns. StTable adds several child properties to it's children that control their position and size in the table.

## Functions

### st_table_new ()

    StWidget *
    st_table_new (void);

Create a new StTable

#### Returns

a new StTable

### st_table_get_row_count ()

    gint
    st_table_get_row_count (StTable *table);

Retrieve the current number rows in the `table`

#### Parameters

table | A StTable |

#### Returns

the number of rows

### st_table_get_column_count ()

    gint
    st_table_get_column_count (StTable *table);

Retrieve the current number of columns in `table`

#### Parameters

table | A StTable |

#### Returns

the number of columns

## Types and Values

### enum StTableChildOptions

Denotes the child properties an StTable child will have.

#### Members

ST_KEEP_ASPECT_RATIO | whether to respect the widget's aspect ratio |
ST_X_EXPAND | whether to allocate extra space on the widget's x-axis |
ST_Y_EXPAND | whether to allocate extra space on the widget's y-axis |
ST_X_FILL | whether to stretch the child to fill the cell horizontally |
ST_Y_FILL | whether to stretch the child to fill the cell vertically |

### struct StTable

    struct StTable;

The contents of this structure is private and should only be accessed using the provided API.

## Property Details

### The `“column-count”` property

      “column-count”             int

The number of columns in the table.

Owner: StTable

Flags: Read

Allowed values: >= 0

Default value: 0

### The `“homogeneous”` property

      “homogeneous”              gboolean

Homogeneous rows and columns.

Owner: StTable

Flags: Read / Write

Default value: TRUE

### The `“row-count”` property

      “row-count”                int

The number of rows in the table.

Owner: StTable

Flags: Read

Allowed values: >= 0

Default value: 0